Subject: Re: [PATCH 7/16] powerpc: add support for ps3 platform

From: Arnd Bergmann <[email-masked]>
Date: Sat, 11 Nov 2006 12:50:58 +0100

On Friday 10 November 2006 21:02, Geoff Levand wrote:
> @@ -876,7 +885,7 @@
>         bool "PCI support" if 40x || CPM2 || PPC_83xx || PPC_85xx || PPC_86xx \
>                 || PPC_MPC52xx || (EMBEDDED && PPC_ISERIES) || MPC7448HPC2
>         default y if !40x && !CPM2 && !8xx && !APUS && !PPC_83xx \
> -               && !PPC_85xx && !PPC_86xx
> +               && !PPC_85xx && !PPC_86xx && !PS3PF
>         default PCI_PERMEDIA if !4xx && !CPM2 && !8xx && APUS
>         default PCI_QSPAN if !4xx && !CPM2 && 8xx
>         help

This change causes trouble when trying to build a multiplatform kernel
that includes PS3PF and others at the same time, because PCI gets
disabled unconditionally when PS3PF is selected. As a short-term
fix, I'd change this to do

        bool "PCI support" if 40x || CPM2 || PPC_83xx || PPC_85xx || PPC_86xx \
-               || PPC_MPC52xx || (EMBEDDED && PPC_ISERIES) || MPC7448HPC2
+               || PPC_MPC52xx || (EMBEDDED && PPC_ISERIES) || MPC7448HPC2 \
+               || PS3PF
        default y if !40x && !CPM2 && !8xx && !APUS && !PPC_83xx \
               && !PPC_85xx && !PPC_86xx

Which makes PCI support optional when PS3PF is selected. However, this still
means that you can choose broken configurations (e.g. PSERIES=y, PS3PF=y,
PCI=n).

The real fix should be to get rid of the long conditional for CONFIG_PCI,
and have PCI selected by the platforms themselves:

config PPC_PSERIES
	select PCI

	Arnd <><